Package com.avaya.clientservices.provider.ec500

## Class EC500Configuration

- java.lang.Object
- - com.avaya.clientservices.provider.ec500.EC500Configuration

-     public class EC500Configuration
      extends java.lang.Object

  User Configuration information for EC500 Feature Name Extensions (FNE's).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EC500Configuration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFNEActiveAppearanceSelectNumber()` | A String value for the number to dial for active appearance select.
    `java.lang.String` | `getFNECallForwardCancelNumber()` | A String value for the number to dial for call forward cancel.
    `java.lang.String` | `getFNECallForwardEnableNumber()` | A String value for the number to dial for enabling call forwarding.
    `java.lang.String` | `getFNEIdleAppearanceSelectNumber()` | A String value for the number to dial for active appearance select.
    `java.lang.String` | `getFNESendAllCallsCancelNumber()` | A String value for the number to dial for send all calls cancel.
    `java.lang.String` | `getFNESendAllCallsEnableNumber()` | A String value for the number to dial for send all calls enable.
    `int` | `getFNESetupDelayInSeconds()` | An int value representing the delay (in seconds) inserted between the EC500 call being placed and the transmission of the digits for EC500.
    `java.lang.String` | `getFNESimRingDisableNumber()` | A String value for the number to dial for Off-Pbx call disable.
    `java.lang.String` | `getFNESimRingEnableNumber()` | A String value for the number to dial for Off-Pbx call enable.
    `java.lang.String` | `getVoicemailNumber()` | A String value for the number to dial EC500 voicemail system.
    `boolean` | `isEnabled()` | Boolean value indicating whether the EC500 is enabled.
    `boolean` | `isStationSecurityEnabled()` | A Boolean value indicating whether the station security is enabled.
    `void` | `setEnabled​(boolean enabled)` | Set the boolean value indicating whether the EC500 is enabled.
    `void` | `setFNEActiveAppearanceSelectNumber​(java.lang.String fneActiveAppearanceSelectNumber)` | Set the String value for the number to dial for active appearance select.
    `void` | `setFNECallForwardCancelNumber​(java.lang.String fneCallForwardCancelNumber)` | Set the String value for the number to dial for call forward cancel.
    `void` | `setFNECallForwardEnableNumber​(java.lang.String fneCallForwardEnableNumber)` | Set the String value for the number to dial for enabling call forwarding.
    `void` | `setFNEIdleAppearanceSelectNumber​(java.lang.String fneIdleAppearanceSelectNumber)` | Set the String value for the number to dial for active appearance select.
    `void` | `setFNESendAllCallsCancelNumber​(java.lang.String fneSendAllCallsCancelNumber)` | Set the String value for the number to dial for send all calls cancel.
    `void` | `setFNESendAllCallsEnableNumber​(java.lang.String fneSendAllCallsEnableNumber)` | Sett the String value for the number to dial for send all calls enable.
    `void` | `setFNESetupDelayInSeconds​(int fneSetupDelayInSeconds)` | Set the int value representing the delay (in seconds) inserted between the EC500 call being placed and the transmission of the digits for EC500.
    `void` | `setFNESimRingDisableNumber​(java.lang.String fneSimRingDisableNumber)` | Set the String value for the number to dial for Off-Pbx call disable.
    `void` | `setFNESimRingEnableNumber​(java.lang.String fneSimRingEnableNumber)` | Set the String value for the number to dial for Off-Pbx call enable.
    `void` | `setStationSecurityEnabled​(boolean stationSecurityEnabled)` | Set the Boolean value indicating whether the station security is enabled.
    `void` | `setVoicemailNumber​(java.lang.String voicemailNumber)` | Set the String value for the number to dial EC500 voicemail system.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EC500Configuration

          public EC500Configuration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Boolean value indicating whether the EC500 is enabled.
      Returns:
        true if EC500 is enabled, otherwise false.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Set the boolean value indicating whether the EC500 is enabled.
      Parameters:
        `enabled` - true if EC500 is enabled, otherwise false.

    - #### getVoicemailNumber

          public java.lang.String getVoicemailNumber()

      A String value for the number to dial EC500 voicemail system.
      Returns:
        the number to dial EC500 voicemail system.

    - #### setVoicemailNumber

          public void setVoicemailNumber​(java.lang.String voicemailNumber)

      Set the String value for the number to dial EC500 voicemail system.
      Parameters:
        `voicemailNumber` - the number to dial EC500 voicemail system.

    - #### getFNESimRingEnableNumber

          public java.lang.String getFNESimRingEnableNumber()

      A String value for the number to dial for Off-Pbx call enable. Enables the Off-Pbx-Call feature.
      Returns:
        the number to dial for Off-Pbx call enable.

    - #### setFNESimRingEnableNumber

          public void setFNESimRingEnableNumber​(java.lang.String fneSimRingEnableNumber)

      Set the String value for the number to dial for Off-Pbx call enable. Enables the Off-Pbx-Call feature.
      Parameters:
        `fneSimRingEnableNumber` - the number to dial for Off-Pbx call enable

    - #### getFNESimRingDisableNumber

          public java.lang.String getFNESimRingDisableNumber()

      A String value for the number to dial for Off-Pbx call disable. Disables the Off-Pbx call feature
      Returns:
        the number to dial for Off-Pbx call disable.

    - #### setFNESimRingDisableNumber

          public void setFNESimRingDisableNumber​(java.lang.String fneSimRingDisableNumber)

      Set the String value for the number to dial for Off-Pbx call disable. Disables the Off-Pbx call feature
      Parameters:
        `fneSimRingDisableNumber` - the number to dial for Off-Pbx call disable.

    - #### getFNECallForwardEnableNumber

          public java.lang.String getFNECallForwardEnableNumber()

      A String value for the number to dial for enabling call forwarding. Enables the Call Forward feature.
      Returns:
        the number to dial for enabling call forwarding.

    - #### setFNECallForwardEnableNumber

          public void setFNECallForwardEnableNumber​(java.lang.String fneCallForwardEnableNumber)

      Set the String value for the number to dial for enabling call forwarding. Enables the Call Forward feature.
      Parameters:
        `fneCallForwardEnableNumber` - he number to dial for enabling call forwarding

    - #### getFNECallForwardCancelNumber

          public java.lang.String getFNECallForwardCancelNumber()

      A String value for the number to dial for call forward cancel. Disables the Call Forward feature.
      Returns:
        the number to dial to disable Call Forward

    - #### setFNECallForwardCancelNumber

          public void setFNECallForwardCancelNumber​(java.lang.String fneCallForwardCancelNumber)

      Set the String value for the number to dial for call forward cancel. Disables the Call Forward feature.
      Parameters:
        `fneCallForwardCancelNumber` - the number to dial for call forward cancel

    - #### getFNEActiveAppearanceSelectNumber

          public java.lang.String getFNEActiveAppearanceSelectNumber()

      A String value for the number to dial for active appearance select.
      Returns:
        the number to dial for active appearance select

    - #### setFNEActiveAppearanceSelectNumber

          public void setFNEActiveAppearanceSelectNumber​(java.lang.String fneActiveAppearanceSelectNumber)

      Set the String value for the number to dial for active appearance select.
      Parameters:
        `fneActiveAppearanceSelectNumber` - the number to dial for Active Appearance Select

    - #### getFNEIdleAppearanceSelectNumber

          public java.lang.String getFNEIdleAppearanceSelectNumber()

      A String value for the number to dial for active appearance select.
      Returns:
        the number to dial for Idle appearance select

    - #### setFNEIdleAppearanceSelectNumber

          public void setFNEIdleAppearanceSelectNumber​(java.lang.String fneIdleAppearanceSelectNumber)

      Set the String value for the number to dial for active appearance select.
      Parameters:
        `fneIdleAppearanceSelectNumber` - the number to dial for Idle Appearance Select

    - #### getFNESendAllCallsEnableNumber

          public java.lang.String getFNESendAllCallsEnableNumber()

      A String value for the number to dial for send all calls enable. Enables the Send All Calls feature.
      Returns:
        the number to dial for send all calls enable

    - #### setFNESendAllCallsEnableNumber

          public void setFNESendAllCallsEnableNumber​(java.lang.String fneSendAllCallsEnableNumber)

      Sett the String value for the number to dial for send all calls enable. Enables the Send All Calls feature.
      Parameters:
        `fneSendAllCallsEnableNumber` - the number to dial to enable Send All Calls

    - #### getFNESendAllCallsCancelNumber

          public java.lang.String getFNESendAllCallsCancelNumber()

      A String value for the number to dial for send all calls cancel. Disables the Send All Calls feature.
      Returns:
        the number to dial for send all calls cancel

    - #### setFNESendAllCallsCancelNumber

          public void setFNESendAllCallsCancelNumber​(java.lang.String fneSendAllCallsCancelNumber)

      Set the String value for the number to dial for send all calls cancel. Disables the Send All Calls feature.
      Parameters:
        `fneSendAllCallsCancelNumber` - the number to dial to disable Send All Calls

    - #### getFNESetupDelayInSeconds

          public int getFNESetupDelayInSeconds()

      An int value representing the delay (in seconds) inserted between the EC500 call being placed and the transmission of the digits for EC500.
      Returns:
        int value representing the delay (in seconds)

    - #### setFNESetupDelayInSeconds

          public void setFNESetupDelayInSeconds​(int fneSetupDelayInSeconds)

      Set the int value representing the delay (in seconds) inserted between the EC500 call being placed and the transmission of the digits for EC500.
      Parameters:
        `fneSetupDelayInSeconds` - int value representing the delay (in seconds)

    - #### isStationSecurityEnabled

          public boolean isStationSecurityEnabled()

      A Boolean value indicating whether the station security is enabled.
      Returns:
        true if station security is enabled

    - #### setStationSecurityEnabled

          public void setStationSecurityEnabled​(boolean stationSecurityEnabled)

      Set the Boolean value indicating whether the station security is enabled.
      Parameters:
        `stationSecurityEnabled` - true if station security is enabled